ENH: create script is working

This commit is contained in:
Bill Hoffman 2006-05-05 10:30:26 -04:00
parent 523d9ebeed
commit 1a7a6ccc34
2 changed files with 9 additions and 11 deletions

View File

@ -44,14 +44,12 @@ macro(remote_command comment command)
endmacro(remote_command)
set(CMAKE_BACKWARDS_COMPATIBILITY 2.4)
configure_file(${SCRIPT_PATH}/release_cmake.sh.in release_cmake.sh)
execute_process(COMMAND
scp release_cmake.sh ${HOST}:release_cmake.sh
RESULT_VARIABLE result)
if(${result} GREATER 0)
message(FATAL_ERROR "Error scp release_cmake.sh to ${HOST}:release_cmake.sh")
endif(${result} GREATER 0)
remote_command("Run release script" "sh release_cmake.sh")
configure_file(${SCRIPT_PATH}/release_cmake.sh.in release_cmake-${HOST}.sh)
file(READ release_cmake.sh RELEASE_CMAKE_CONTENTS)
remote_command("Copy release_cmake.sh to sever"
"echo '${RELEASE_CMAKE_CONTENTS}' > release_cmake-${HOST}.sh")
remote_command("Run release script" "sh release_cmake-${HOST}.sh")
message("copy the .gz file back from the machine")
execute_process(COMMAND scp ${HOST}:CMakeReleaseDirectory/${CMAKE_VERSION}-build/*.gz .

View File

@ -6,13 +6,13 @@ mkdir ~/CMakeReleaseDirectory
check_exit_value()
{
VALUE="$1"
if [ "$VALUE" != "0" ]; then
if [ "$VALUE" != "0" ]\; then
echo "error in $2"
exit 1
fi
}
if [ ! -z "@USER_MAKE_RULE_FILE_CONTENTS@" ]; then
if [ ! -z "@USER_MAKE_RULE_FILE_CONTENTS@" ]\; then
echo "@USER_MAKE_RULE_FILE_CONTENTS@" > "@USER_MAKE_RULE_FILE@"
check_exit_value $? "Create User Rule file" || exit 1
fi
@ -22,7 +22,7 @@ check_exit_value $? "Remove build tree" || exit 1
mkdir ~/CMakeReleaseDirectory/@CMAKE_VERSION@-build
check_exit_value $? "Create build directory" || exit 1
# make sure directory was created
if [ ! -d ~/CMakeReleaseDirectory/@CMAKE_VERSION@-build ]; then
if [ ! -d ~/CMakeReleaseDirectory/@CMAKE_VERSION@-build ]\; then
echo "Could not create ~/CMakeReleaseDirectory/@CMAKE_VERSION@-build"
exit -1
fi